## org.eclipse.amp.amf.sd.util
Class SdAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.amp.amf.sd.util.SdAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  SdItemProviderAdapterFactory

    public class SdAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SdPackage`

Field Summary
`protected static SdPackage` `modelPackage` The cached model package.
`protected SdSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods.

Constructor Summary
`SdAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createIAgentChildAdapter()` Creates a new adapter for an object of class '`IAgent Child`'.
`org.eclipse.emf.common.notify.Adapter` `createIModelExtensionAdapter()` Creates a new adapter for an object of class '`IModel Extension`'.
`org.eclipse.emf.common.notify.Adapter` `createSdAbstractVariableAdapter()` Creates a new adapter for an object of class '`Abstract Variable`'.
`org.eclipse.emf.common.notify.Adapter` `createSdAuxVariableAdapter()` Creates a new adapter for an object of class '`Aux Variable`'.
`org.eclipse.emf.common.notify.Adapter` `createSdConnectorAdapter()` Creates a new adapter for an object of class '`Connector`'.
`org.eclipse.emf.common.notify.Adapter` `createSdEquationVariableAdapter()` Creates a new adapter for an object of class '`Equation Variable`'.
`org.eclipse.emf.common.notify.Adapter` `createSdFlowVariableAdapter()` Creates a new adapter for an object of class '`Flow Variable`'.
`org.eclipse.emf.common.notify.Adapter` `createSdGeneratableAdapter()` Creates a new adapter for an object of class '`Generatable`'.
`org.eclipse.emf.common.notify.Adapter` `createSdModelAdapter()` Creates a new adapter for an object of class '`Model`'.
`org.eclipse.emf.common.notify.Adapter` `createSdNamedElementAdapter()` Creates a new adapter for an object of class '`Named Element`'.
`org.eclipse.emf.common.notify.Adapter` `createSdStockVariableAdapter()` Creates a new adapter for an object of class '`Stock Variable`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static SdPackage modelPackage

  The cached model package.

### modelSwitch

    protected SdSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### SdAdapterFactory

    public SdAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createSdNamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createSdNamedElementAdapter()

  Creates a new adapter for an object of class '`Named Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SdNamedElement`

### createSdAbstractVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createSdAbstractVariableAdapter()

  Creates a new adapter for an object of class '`Abstract Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SdAbstractVariable`

### createSdEquationVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createSdEquationVariableAdapter()

  Creates a new adapter for an object of class '`Equation Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SdEquationVariable`

### createSdModelAdapter

    public org.eclipse.emf.common.notify.Adapter createSdModelAdapter()

  Creates a new adapter for an object of class '`Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SdModel`

### createSdAuxVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createSdAuxVariableAdapter()

  Creates a new adapter for an object of class '`Aux Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SdAuxVariable`

### createSdStockVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createSdStockVariableAdapter()

  Creates a new adapter for an object of class '`Stock Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SdStockVariable`

### createSdFlowVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createSdFlowVariableAdapter()

  Creates a new adapter for an object of class '`Flow Variable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SdFlowVariable`

### createSdConnectorAdapter

    public org.eclipse.emf.common.notify.Adapter createSdConnectorAdapter()

  Creates a new adapter for an object of class '`Connector`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SdConnector`

### createSdGeneratableAdapter

    public org.eclipse.emf.common.notify.Adapter createSdGeneratableAdapter()

  Creates a new adapter for an object of class '`Generatable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SdGeneratable`

### createIModelExtensionAdapter

    public org.eclipse.emf.common.notify.Adapter createIModelExtensionAdapter()

  Creates a new adapter for an object of class '`IModel Extension`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IModelExtension`

### createIAgentChildAdapter

    public org.eclipse.emf.common.notify.Adapter createIAgentChildAdapter()

  Creates a new adapter for an object of class '`IAgent Child`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IAgentChild`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.